class PlayerNotFound(Exception):
    def __init__(self, playername):
        self.playername = playername
        super().__init__(self.playername)


class InvalidPlayername(Exception):
    def __init__(self, playername):
        self.playername = playername
        super().__init__(self.playername)


class InvalidUUID(Exception):
    def __init__(self, uuid):
        self.uuid = uuid
        super().__init__(self.uuid)


class InvalidAPIKey(Exception):
    def __init__(self, api_key):
        self.api_key = api_key
        super().__init__(self.api_key)


class NoSkyWarsData(Exception):
    def __init__(self, uuid):
        self.uuid = uuid
        super().__init__(self.uuid)